%global pname GridDataFormats
%global enable_tests 1

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global desc \
GridDataFormats provides the Python package 'gridData'. It contains a class \
('Grid') to handle data on a regular grid --- basically NumPy n-dimensional \
arrays. It supports reading from and writing to some common formats (such as \
OpenDX).

Name: python-%{pname}
Version: 0.3.2
Release: 6%{?dist}
Summary: Read and write data on regular grids in Python
License: LGPLv3+
URL: https://github.com/orbeckst/GridDataFormats
Source0: https://pypi.python.org/packages/source/G/%{pname}/%{pname}-%{version}.tar.gz
BuildArch: noarch

%description
%{desc}

%package -n python2-%{pname}
Summary: %{summary}
Requires: numpy
Recommends: scipy
BuildRequires: numpy
BuildRequires: python2-devel
%if 0%{enable_tests}
BuildRequires: python2-nose
BuildRequires: python2-six
BuildRequires: python2-tempdir
%endif
Obsoletes: python-%{pname} < 0.3.0-1
%{?python_provide:%python_provide python2-%{pname}}

%description -n python2-%{pname}
%{desc}

%package -n python3-%{pname}
Summary: %{summary}
Requires: python3-numpy
Recommends: python3-scipy
BuildRequires: python3-devel
BuildRequires: python3-numpy
%if 0%{enable_tests}
BuildRequires: python3-nose
BuildRequires: python3-six
BuildRequires: python3-tempdir
%endif
%{?python_provide:%python_provide python3-%{pname}}

%description -n python3-%{pname}
%{desc}

%prep
%setup -q -n %{pname}-%{version}
# force rebuild of Egg Metadata
rm -r %{pname}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%if 0%{enable_tests}
%check
%{__python2} setup.py nosetests
%{__python3} setup.py nosetests
%endif

%files -n python2-%{pname}
%{!?_licensedir:%global license %%doc}
%license COPYING.LESSER
%doc AUTHORS README.rst
%{python2_sitelib}/%{pname}-%{version}-py2.?.egg-info
%{python2_sitelib}/gridData

%files -n python3-%{pname}
%license COPYING.LESSER
%doc AUTHORS README.rst
%{python3_sitelib}/%{pname}-%{version}-py3.?.egg-info
%{python3_sitelib}/gridData

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3.2-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 15 2015 Dominik Mierzejewski <dominik@greysector.net> 0.3.2-2
- enable tests (python2/3-tempdir is in Fedora now)

* Sat Dec 12 2015 Dominik Mierzejewski <dominik@greysector.net> 0.3.2-1
- update to 0.3.2 (#1289547)
- works without scipy now, so make it a soft dependency
- prepare to enable tests (depends on python2/3-tempdir)

* Wed Dec 09 2015 Dominik Mierzejewski <dominik@greysector.net> 0.3.1-1
- update to 0.3.1

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Sep 24 2015 Dominik Mierzejewski <dominik@greysector.net> 0.3.0-1
- update to 0.3.0
- add python3 subpackage and update to current Python packaging guidelines

* Fri Jul 10 2015 Dominik Mierzejewski <dominik@greysector.net> 0.2.5-1
- update to 0.2.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 03 2015 Dominik Mierzejewski <dominik@greysector.net> 0.2.4-1
- initial build
